
Redmine - Defect #3676

www. generates broken link in formatted text

2009-07-27 12:12 - Tomasz Wysocki

Status: Closed Start date: 2009-07-27

Priority: Low Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed Affected version: 0.8.4

Description

bug example www.

Renders to:

bug example www.

> 

 Live example:

bug example www.

Associated revisions

Revision 11473 - 2013-02-24 13:39 - Jean-Philippe Lang

Fixed that www followed by a dot generates broken links in formatted text (#3676).

Revision 11564 - 2013-03-09 10:14 - Jean-Philippe Lang

Merged r11473 from trunk (#3676).

History

#1 - 2010-06-27 18:28 - Jean-Baptiste Barth

Can you be a bit more explicit and describe precisely (with words) what is the problem, and what is expected ? Thank you

#2 - 2010-06-27 18:39 - Tomasz Wysocki

Please type

bug example www.

into "Notes" textarea below and press "Preview".    

It should be rendered as:

bug example www.

but will be as:

bug example www.

>

 If you look into html you have following code:

<p>bug example <a class="external" href="http://www.&lt;/p">www.</p></a>>

 Is it clear now?

#3 - 2012-10-01 09:31 - Tomasz Wysocki
Screencast showing the defect: http://www.youtube.com/watch?v=GyZlqFV0M5U

#4 - 2012-10-01 09:32 - Tomasz Wysocki

Version 2.1.1 is affected.

#5 - 2012-10-01 10:01 - Etienne Massip

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

#6 - 2013-02-24 13:39 - Jean-Philippe Lang

- Subject changed from Problem with text rendering to www. generates broken link in formatted text

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.3.0

- Resolution set to Fixed

Fixed in r11473.

#7 - 2013-03-09 10:14 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
